#ifndef _CARD_PATH_HPP_
#define _CARD_PATH_HPP_

#include "point.h"
#include "line.h"
NAMESPACE_POINT_BEGIN (NAMESPACE_POINT)

struct sit_list;
struct card_path
{
    std::vector<line_v>  find_possible_path(const point&from,double dist) const;
    std::vector<point>   find_path(const point&from,const point&to) const;
    bool is_at_path(const point&pt) const;

    static card_path&inst();
    static void init(const sit_list&sites);
};

NAMESPACE_POINT_END(NAMESPACE_POINT)

#endif


